com.explodingpixels.macwidgets

## Class MacPainterFactory

- java.lang.Object
- - com.explodingpixels.macwidgets.MacPainterFactory

-     public class MacPainterFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacPainterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MacWidgetsPainter<Component>` | `createIAppPressedSelectedHeaderPainter()`
    `static MacWidgetsPainter<Component>` | `createIAppPressedUnselectedHeaderPainter()`
    `static MacWidgetsPainter<Component>` | `createIAppUnpressedSelectedHeaderPainter()`
    `static MacWidgetsPainter<Component>` | `createIAppUnpressedUnselectedHeaderPainter()`
    `static MacWidgetsPainter<Component>` | `createTexturedWindowWorkaroundPainter()` Creates a `MacWidgetsPainter` that paints a Mac unified tool bar gradient.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacPainterFactory

          public MacPainterFactory()

  - ### Method Detail

    - #### createIAppUnpressedUnselectedHeaderPainter

          public static MacWidgetsPainter<Component> createIAppUnpressedUnselectedHeaderPainter()

    - #### createIAppPressedUnselectedHeaderPainter

          public static MacWidgetsPainter<Component> createIAppPressedUnselectedHeaderPainter()

    - #### createIAppUnpressedSelectedHeaderPainter

          public static MacWidgetsPainter<Component> createIAppUnpressedSelectedHeaderPainter()

    - #### createIAppPressedSelectedHeaderPainter

          public static MacWidgetsPainter<Component> createIAppPressedSelectedHeaderPainter()

    - #### createTexturedWindowWorkaroundPainter

          public static MacWidgetsPainter<Component> createTexturedWindowWorkaroundPainter()

      Creates a `MacWidgetsPainter` that paints a Mac unified tool bar gradient.
      Returns:
        a `Painter` that paints a Mac unified tool bar gradient.